# Define if building a cross compiler
%define build_cross		0
%{expand: %{?cross:		%%global build_cross 1}}

%define target_cpu              %{_target_cpu}
%define cross_prefix		%{nil}
%define includedir		%{_includedir}
%if %{build_cross}
%define cross_prefix            cross-%{target_cpu}-
%define target_cpu              %{cross}
%define isarch()		%(case " %* " in (*" %{target_cpu} "*) echo 1;; (*) echo 0;; esac)
%if %isarch %arm
%define gnuext			-gnueabi
%else
%define gnuext			-gnu
%endif
%define includedir		/usr/%{target_cpu}-%_real_vendor-linux%{gnuext}/include
%endif

%define arch            %(echo %{target_cpu}|sed -e "s/mips.*/mips/" -e "s/arm.*/arm/")

# kernel-headers are generated from mageia kernel version %{kver}.%{ever}
%define kver 3.3.8
%define ever 2.mga2

Summary:	Linux kernel header files for userspace
Name:		%{cross_prefix}kernel-userspace-headers
Version:	%{kver}
Release:	%mkrel 2
License:	GPLv2
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-headers tarball generated from mageia kernel in svn with:
# make INSTALL_HDR_PATH=<path> headers_install_all
# find <path> -name ..install.cmd -exec rm -f {} \;
# find <path> -name .install -exec rm -f {} \;
Source0: 	kernel-userspace-headers-%{kver}.%{ever}.tar.xz
Source1:	make_versionh.sh
Source2:	create_asm_headers.sh
%rename		%{cross_prefix}linux-userspace-headers
Provides:	kernel-headers = 1:%{version}-%{release}

%description
C header files from the Linux kernel. The header files define structures
and constants that are needed for building most standard programs.

This package is not suitable for building kernel modules.

%prep
%setup -q -n kernel-userspace-headers-%{kver}.%{ever}
%{expand:%(%__cat %{_sourcedir}/make_versionh.sh 2>/dev/null)}
TARGET=%{arch}
%{expand:%(%__cat %{_sourcedir}/create_asm_headers.sh 2>/dev/null)}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{includedir}
cp -avf * %{buildroot}/%{includedir}

# (cg) Remove files provided by libdrm
for hdr in drm.h drm_mode.h drm_sarea.h i915_drm.h mga_drm.h nouveau_drm.h \
           r128_drm.h radeon_drm.h savage_drm.h sis_drm.h via_drm.h;
do
	rm -f %{buildroot}%{includedir}/drm/$hdr
done

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{includedir}/*


%changelog

* Mon Jul 30 2012 tmb <tmb> 3.3.8-2.mga2
+ Revision: 276269
- sync with kernel-3.3.8-2.mga2
- sync headers with kernel-3.3.8-1.mga2
- sync with kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 3.3.5-1.mga2
+ Revision: 235178
- sync with kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 3.3.4-1.mga2
+ Revision: 233745
- sync with kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 3.3.3-1.mga2
+ Revision: 232863
- sync headers with kernel-3.3.3-1.mga2

* Tue Apr 03 2012 tmb <tmb> 3.3.1-1.mga2
+ Revision: 228041
- sync with kernel-3.3.1-1.mga2

* Mon Mar 19 2012 tmb <tmb> 3.3.0-2.mga2
+ Revision: 224357
- sync with kernel-3.3.0-1.mga2

* Mon Mar 05 2012 tmb <tmb> 3.3.0-1.mga2
+ Revision: 219051
- sync with kernel-3.3.0-0.rc6.1.mga2

* Thu Mar 01 2012 tmb <tmb> 3.2.9-1.mga2
+ Revision: 216443
- sync with kernel-3.2.9-1.mga2

* Tue Feb 14 2012 tmb <tmb> 3.2.6-2.mga2
+ Revision: 208953
- sync with kernel-3.2.6-2.mga2

* Thu Jan 26 2012 tmb <tmb> 3.2.2-1.mga2
+ Revision: 202005
- sync headers with kernel-3.2.2-1.mga2

* Sun Jan 15 2012 tmb <tmb> 3.2.1-1.mga2
+ Revision: 196427
- sync with kernel-3.2.1-1.mga2

* Thu Jan 05 2012 tmb <tmb> 3.2.0-2.mga2
+ Revision: 191549
- sync wth kernel-3.2.0-1.mga2
- drop old conflicts and obsoletes
- fix license
- drop buildroot
- obsolete old linux-userspace-headers
- rename spec to match new name
- rename to kernel-userspace-headers

* Wed Dec 28 2011 tmb <tmb> 3.2.0-1.mga2
+ Revision: 188493
- sync with kernel-3.2.0-0.rc7.2.mga2

* Sun Nov 27 2011 tmb <tmb> 3.1.3-1.mga2
+ Revision: 173113
- sync with kernel-3.1.3-1.mga2

* Mon Oct 24 2011 tmb <tmb> 3.1.0-2.mga2
+ Revision: 157694
- sync with kernel-3.1.0-1.mga2

* Thu Oct 06 2011 tmb <tmb> 3.1.0-1.mga2
+ Revision: 152271
- sync headers with kernel-3.1.0-0.rc9.1.mga2
- sync with kernel-3.0.3-1.mga2
- sync with kernel-3.0.0-1.mga2

* Sun Jul 17 2011 tmb <tmb> 3.0.0-1.mga2
+ Revision: 125489
- sync headers with kernel-3.0.0-0.rc7.5.1.mga2

* Sun May 22 2011 tmb <tmb> 2.6.38.7-1.mga1
+ Revision: 100110
- sync with kernel-2.6.38.7-1.mga

* Fri Apr 22 2011 tmb <tmb> 2.6.38.4-2.mga1
+ Revision: 89806
- sync with kernel-2.6.38.4-1.mga (for updated ipset)

* Mon Mar 21 2011 rtp <rtp> 2.6.38-2.mga1
+ Revision: 75160
- fix spec for architectures where cpu<->architecture function is not bijective
- allow to create "cross rpm" (needed to create cross toolchain).

* Sun Mar 20 2011 tmb <tmb> 2.6.38-1.mga1
+ Revision: 74961
- sync with kernel-2.6.38-1.mga1

* Sat Jan 08 2011 tmb <tmb> 2.6.37-2.mga1
+ Revision: 1210
- imported package linux-userspace-headers

